Skip to main content
GET
/
api
/
{projectId}
/
performance-calibration
/
parameter-sets
Get parameter sets
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/parameter-sets \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/parameter-sets"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/parameter-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "parameterSets": [
    {
      "detections": [
        {
          "time": 123,
          "label": "<string>"
        }
      ],
      "isBest": true,
      "labels": [
        "<string>"
      ],
      "aggregateStats": {
        "falsePositiveRate": 123,
        "falseNegativeRate": 123
      },
      "stats": [
        {
          "label": "<string>",
          "truePositives": 123,
          "falsePositives": 123,
          "falseNegatives": 123,
          "trueNegatives": 123,
          "falsePositiveRate": 123,
          "falseNegativeRate": 123,
          "falseNegativeTimes": [
            123
          ],
          "falsePositiveDetails": [
            {
              "detectionTime": 123,
              "groundTruthLabel": "<string>",
              "groundTruthStart": 123,
              "sampleIds": [
                123
              ]
            }
          ]
        }
      ],
      "params": {
        "type": "standard",
        "version": 1,
        "parametersStandard": {
          "averageWindowDurationMs": 1000,
          "detectionThreshold": 0.8,
          "suppressionMs": 500
        }
      },
      "windowSizeMs": 123
    }
  ],
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Response

200 - application/json

File

success
boolean
required

Whether the operation succeeded

parameterSets
object[]
required
error
string

Optional error description (set if 'success' was false)